Bug 178524 - chcon --reference does not copy all security context of source
chcon --reference does not copy all security context of source
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-21 06:25 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-23 08:39:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-01-21 06:25:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051215 Epiphany/1.9.4

Description of problem:
chcon --reference does not duplicate the security context of the source file.

[root@box plugins]# ls -Z
-rwxr-xr-x  root     root     user_u:object_r:usr_t            libflashplayer.solrwxrwxrwx  root     root     user_u:object_r:lib_t            nphelix.so -> /opt/RealPlayer/mozilla/nphelix.so
lrwxrwxrwx  root     root     user_u:object_r:lib_t            nphelix.xpt -> /opt/RealPlayer/mozilla/nphelix.xpt

[root@box plugins]# chcon libflashplayer.so --reference=nphelix.so

[root@box plugins]# ls -Z
-rwxr-xr-x  root     root     user_u:object_r:usr_t            libflashplayer.solrwxrwxrwx  root     root     user_u:object_r:lib_t            nphelix.so -> /opt/RealPlayer/mozilla/nphelix.so
lrwxrwxrwx  root     root     user_u:object_r:lib_t            nphelix.xpt -> /opt/RealPlayer/mozilla/nphelix.xpt

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
x

Additional info:
Comment 1 Tim Waugh 2006-01-23 08:39:40 EST
I think you want the '-h' flag.

Note You need to log in before you can comment on or make changes to this bug.